Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.cpe
Class CpeIndexWriter

    java.lang.Object
      org.owasp.dependencycheck.data.cpe.BaseIndex
          org.owasp.dependencycheck.data.cpe.CpeIndexWriter

    public class CpeIndexWriter

extends BaseIndex

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`CpeIndexWriter()`

Method Summary
`void` | `close()` Closes the CPE Index.
`void` | `commit()` Commits any pending changes.
`void` | `open()` Opens the CPE Index.
`void` | `saveEntry(IndexEntry entry)` Saves a CPE IndexEntry into the Lucene index.

Methods inherited from class org.owasp.dependencycheck.data.cpe.BaseIndex
`getDataDirectory, getDirectory, isOpen, openDirectory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CpeIndexWriter

    public CpeIndexWriter()

Method Detail

### open

    public void open()
              throws IOException

  Opens the CPE Index.

  Overrides:
    `open` in class `BaseIndex`
  Throws:
    `IOException` - is thrown if an IOException occurs opening the index.

### close

    public void close()

  Closes the CPE Index.

  Overrides:
    `close` in class `BaseIndex`

### commit

    public void commit()

  Commits any pending changes.

### saveEntry

    public void saveEntry(IndexEntry entry)
                   throws org.apache.lucene.index.CorruptIndexException,
                          IOException

  Saves a CPE IndexEntry into the Lucene index.

  Parameters:
    `entry` - a CPE entry.
  Throws:
    `org.apache.lucene.index.CorruptIndexException` - is thrown if the index is corrupt.
    `IOException` - is thrown if an IOException occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.